
package es.ejie.frmk.infraestructura.logs.base;

import java.util.HashMap;
import java.util.Iterator;


/**
 * Representa un mensaje que va a ser escrito por un log. 
 * 
 * @author Carlos Rodriguez
 * @version 1.0  fecha: 10-dic-03
 * 
 */
public class Q70Mensaje extends HashMap
{
	/** 
	 * Función toString sobrecargada para permitir al logger salidas a fichero y consola
	 * fácilmente legibles.
	 * @return String formateado
	 */
	public String toString()
	{
		StringBuffer sb = new StringBuffer();
		Iterator iterator = this.keySet().iterator();
		String s=null;
		while(iterator.hasNext())
		{
			s=(String)this.get(iterator.next());
			if(s!=null)
				sb.append(s);
			sb.append(" - ");
		}
		return sb.toString();		
		
	}
}
